Bug 243900

Summary: [NEW PORT] sysutils/p5-Proc-ProcessTable-ncps Searches the process table and displays the results
Product: Ports & Packages Reporter: Zane C. Bowers-Hadley <vvelox>
Component: Individual Port(s)Assignee: Steve Wills <swills>
Status: Closed FIXED    
Severity: Affects Only Me CC: swills
Priority: ---    
Version: Latest   
Hardware: Any   
OS: Any   
Attachments:
Description Flags
svn diff
none
svn diff
none
svn diff
none
svn diff
none
proper svn diff none

Comment 1 Zane C. Bowers-Hadley 2020-04-08 02:29:08 UTC
Created attachment 213171 [details]
svn diff

whoops, RUN and BUILD depends this time
Comment 2 Zane C. Bowers-Hadley 2020-04-08 03:25:35 UTC
Created attachment 213181 [details]
svn diff

clean up RUN depends
Comment 3 Zane C. Bowers-Hadley 2020-04-08 06:39:49 UTC
Created attachment 213186 [details]
svn diff

Found after some testing on a fresh VM this port in general was expecting a module to support perl earlier than 5.12. Patch added to remove that as it is not in the three and FreeBSD does not have Perl that old in the ports tree.

This and it's depends are all good now!
Comment 4 Steve Wills freebsd_committer 2020-08-15 21:34:47 UTC
(In reply to Zane C. Bowers-Hadley from comment #3)
Patch seems to be for devel/p5-Data-Unixish not sysutils/p5-Proc-ProcessTable-ncps. Perhaps a second patch is missing?
Comment 5 Zane C. Bowers-Hadley 2020-08-15 22:21:34 UTC
(In reply to Steve Wills from comment #4)

Whoops! Yeah, sort of did two things there. Noting that depends are all now good and clobbering this PR with a patch for https://bugs.freebsd.org/bugzilla/show_bug.cgi?id=243897 . I've uploaded the SVN diff to the proper location. :)
Comment 6 Zane C. Bowers-Hadley 2020-08-15 22:25:56 UTC
Created attachment 217246 [details]
proper svn diff

Okay. Here is the proper SVN diff. :)

I've also uploaded the other SVN diff to the proper PR.
Comment 7 commit-hook freebsd_committer 2020-08-16 13:16:08 UTC
A commit references this bug:

Author: swills
Date: Sun Aug 16 13:15:18 UTC 2020
New revision: 545110
URL: https://svnweb.freebsd.org/changeset/ports/545110

Log:
  sysutils/p5-Proc-ProcessTable-ncps: create port

  An advanced ps(1) like utility with search capabilities.

  For example:

  ncps -c firefox --stats

  Show all firefox processes and the cumulative stats for them.

  WWW: https://github.com/VVelox/Proc-ProcessTable-ncps
  WWW: https://metacpan.org/release/Proc-ProcessTable-ncps

  PR:		243900
  Submitted by:	Zane C. Bowers-Hadley <vvelox@vvelox.net>

Changes:
  head/sysutils/Makefile
  head/sysutils/p5-Proc-ProcessTable-ncps/
  head/sysutils/p5-Proc-ProcessTable-ncps/Makefile
  head/sysutils/p5-Proc-ProcessTable-ncps/distinfo
  head/sysutils/p5-Proc-ProcessTable-ncps/pkg-descr
Comment 8 Steve Wills freebsd_committer 2020-08-16 13:16:27 UTC
Committed, thanks!